/**
 * The Mongo Redis Topic Producer pushes a message to the end of the topic stream by
 * fetching a new id,
 * writing the new message document
 * & notifying redis subscribers.
 */
import { TopicProducer } from "../../topicProducer";
export declare class MongoRedisTopicProducer<T> extends TopicProducer<T> {
    private mongoUrl;
    private databaseName;
    private collectionName;
    private redisUrl;
    private client;
    private redis;
    private isStarting;
    constructor(mongoUrl: string, databaseName: string, collectionName: string, redisUrl: string);
    start(): Promise<void>;
    private getCollection;
    private getNextId;
    pushMessageToTopic(messagePayload: T, logCompactId?: string): Promise<void>;
    private broadcastNewMessageSignalToRedis;
}
