"use strict";
// npx ts-node ./src/backends/mongoRedis/tests/testConsumer.ts 
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const consumer_1 = require("../consumer");
const mongoUrl = "mongodb://localhost:27017";
const databaseName = "topics";
const collectionName = "phil2";
const redisUrl = "redis://localhost:6379";
(() => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const tc = new consumer_1.MongoRedisTopicConsumer(mongoUrl, databaseName, collectionName, redisUrl);
        yield tc.start();
        tc.streamMessagesFrom((msg) => {
            console.log("MSG: " + JSON.stringify(msg));
            /*
            if (msg.id > 20) {
                throw new Error("Simulate crash");
            }
            */
        }, null, {
        // isGreat: false
        });
        setTimeout(() => __awaiter(void 0, void 0, void 0, function* () {
            yield tc.stop();
            console.log("Stopped consuming");
        }), 30 * 1000);
    }
    catch (e) {
        console.error(e);
        process.exit(1);
    }
}))();
