"use strict";
// npx ts-node ./src/backends/mongoRedis/tests/testProducer.ts 
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const producer_1 = require("../producer");
const mongoUrl = "mongodb://localhost:27017";
const databaseName = "topics";
const collectionName = "phil2";
const redisUrl = "redis://localhost:6379";
(() => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const tp = new producer_1.MongoRedisTopicProducer(mongoUrl, databaseName, collectionName, redisUrl);
        const randomId = Math.random();
        yield tp.start();
        for (let i = 1; i <= 30; i++) {
            yield tp.pushMessageToTopic({
                phil: randomId + " message " + i,
                isGreat: i > 5,
            });
            console.log("Successfully pushed message: " + i);
        }
        process.exit(0);
    }
    catch (e) {
        console.error(e);
        process.exit(1);
    }
}))();
