/**
 * A Topic consumer handles the actual reading of and ultimate streaming of a topic
 */
import { TopicMessageDocument, TopicMessageIdentifier } from "./types";
export declare abstract class TopicConsumer<T> {
    topicName: string;
    protected callback: (message: TopicMessageDocument<T>) => void;
    protected lastId: TopicMessageIdentifier | null;
    protected queryDoc: any;
    constructor(topicName: string);
    abstract start(): Promise<void>;
    abstract streamMessagesFrom(callback: (message: TopicMessageDocument<T>) => void, lastId: null | TopicMessageIdentifier, queryDoc: any, noMoreMessages: () => void): Promise<void>;
    abstract stop(): Promise<void>;
}
